package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;


/**
 * 宝珠订单商品
 *
 * @author zhuxiaofeng
 */
public class OrderBaoZhuItem {

    /**
	 * 主键
	 */
	private Long id;
	private String orderNo;
	private String storeName;
	private String itemSign;
	private String orderStatusTxt;
	private String payTypeTxt;
	private String itemTypeTxt;
	private String itemName;
	private String spec;
	private String method;
	private BigDecimal itemPrice;
	private Integer num;
	private String unit;
	private BigDecimal itemAmount;
	private BigDecimal methodPrice;
	private BigDecimal totalAmount;
	private String cate;
	private String acceptName;
	private String mobile;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getItemSign() {
		return itemSign;
	}

	public void setItemSign(String itemSign) {
		this.itemSign = itemSign;
	}

	public String getOrderStatusTxt() {
		return orderStatusTxt;
	}

	public void setOrderStatusTxt(String orderStatusTxt) {
		this.orderStatusTxt = orderStatusTxt;
	}

	public String getPayTypeTxt() {
		return payTypeTxt;
	}

	public void setPayTypeTxt(String payTypeTxt) {
		this.payTypeTxt = payTypeTxt;
	}

	public String getItemTypeTxt() {
		return itemTypeTxt;
	}

	public void setItemTypeTxt(String itemTypeTxt) {
		this.itemTypeTxt = itemTypeTxt;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public BigDecimal getItemPrice() {
		return itemPrice;
	}

	public void setItemPrice(BigDecimal itemPrice) {
		this.itemPrice = itemPrice;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public BigDecimal getItemAmount() {
		return itemAmount;
	}

	public void setItemAmount(BigDecimal itemAmount) {
		this.itemAmount = itemAmount;
	}

	public BigDecimal getMethodPrice() {
		return methodPrice;
	}

	public void setMethodPrice(BigDecimal methodPrice) {
		this.methodPrice = methodPrice;
	}

	public BigDecimal getTotalAmount() {
		return totalAmount;
	}

	public void setTotalAmount(BigDecimal totalAmount) {
		this.totalAmount = totalAmount;
	}

	public String getCate() {
		return cate;
	}

	public void setCate(String cate) {
		this.cate = cate;
	}

	public String getAcceptName() {
		return acceptName;
	}

	public void setAcceptName(String acceptName) {
		this.acceptName = acceptName;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
